IBM Websphere Integration

If your client application is running in Websphere, there is a known problem with Websphere's XML libraries.

Crowd uses XFire to handle the requests between the client application (JIRA, Confluence, Bamboo etc.) and Crowd, XFire requires a newer version of an XML library than what is shipped with Websphere 5.1.

More information and a link to a newer version of the relevant JAR file is available on the XFire website

You will need to add the qname.jar file to the WebSphere\AppServer\lib directory and remove the old file.

----

Some users have also reported errors like the following:

java.lang.VerifyError: 
(class: org/codehaus/xfire/aegis/type/basic/ObjectType, method: writeSchema signature: 
(Lorg/jdom/Element;)V) Incompatible argument to method

This is related to the following XFire issue the suggested fix for this is to upgrade the version of JDOM that is shipped with Websphere to something greater than 1.0 (Websphere ships with JDOM Beta 6).

If you add a later version of JDOM to the WebSphere\AppServer\lib directory and remove the old version, this should fix the above problem.

Was this helpful?

Thanks for your feedback!

Why was this unhelpful?

Have a question about this article?

See questions about this article

Powered by Confluence and Scroll Viewport